<?
$sub_menu = "400100";
include_once("./_common.php");
include_once("$g4[path]/zm.extend/zm.lib.passwdq.php");

auth_check($auth[$sub_menu], "w");

//-- 지음빌더 기본설정 업데이트 -------------------------------------------------------------------
if($w == "u") {
	$datapath	= "$g4[path]/data/zm.exp/passwdq.php";

	if($reentryterm > $config[cf_leave_day]) {
		zm_artmsg($config[cf_leave_day]."일이 지난 탈퇴 회원은 정보가 삭제 되므로 재가입이 불가합니다.\\n재가입 기간은 변경하지 않습니다.");
		$_POST[reentryterm]	= $zm_config[reentryterm];
	}

	$_POST[memlevelname]	= $memlevelname1 . "/" . $memlevelname2 . "/" . $memlevelname3 . "/" .  $memlevelname4 . "/" . $memlevelname5 . "/" . $memlevelname6 . "/" . $memlevelname7 . "/" . $memlevelname8 . "/" . $memlevelname9 . "/" . $memlevelname10;

	//-- 로그인 연속 실패
	$_POST[loginfail]		= $loginfailcount . "/" . $loginbanterm;

	//-- 누적신고 처리
	$_POST[report_level1]	= $report1 . "/" . $blockterm1 . "/" . $blockbbs1 . "/" . $blockmemo1;		//-- 누적신고 1단계 이용제한
	$_POST[report_level2]	= $report2 . "/" . $blockterm2 . "/" . $blockbbs2 . "/" . $blockmemo2;
	$_POST[report_level3]	= $report3 . "/" . $blockterm3 . "/" . $blockbbs3 . "/" . $blockmemo3;
	$_POST[report_level4]	= $report4 . "/36500/" . $blockbbs4 . "/" . $blockmemo4;					//-- 누적신고 4단계 모든 서비스 제한

	//-- 신고 조건
	$_POST[reportcondition]	= $reportcondi[0] . "/" . $reportlevel . "/" . $reportcondi[1];

	//-- 체크 되지 않은 항목엔 빈 값을...
	$_POST[reentrymember]	= $reentry;
	$_POST[mylocal]			= $local;
	//$_POST[usepasswdq]		= $usepswdq;
	$_POST[sms_certify]		= $sms_certify;

	//-- SMS 인증 사용시 그누보드 기본 환경에서 회원 가입 휴대전화 사용으로 전환
	if($_POST[sms_certify]) {
		sql_query("update g4_config set cf_use_hp='1'");
	}

	//-- 인기검색어 갱신 주기는 최소 10초로 고정
	if($_POST[popularterm] < 10) $_POST[popularterm]	= 10;

	foreach($_POST as $key=>$value) {
		//-- 유효한 변수면 변수 값 적용
		$vres		= sql_query("update $zmb[table_config] set db_value='$value' where db_variable='$key'");

		//-- 비밀번호 질문 저장
		if($key == "passwdq") {
			$pwdata		= "<?\r\n" . trim($passwdq) . "\r\n?>";
			$fh			= fopen($datapath, "w");
			fputs($fh, $pwdata);
			fclose($fh);
		}
	}

	goto_url("$g4[admin_path]/zm.config.php");
}
?>
